#include <stdio.h>

main(int argc,char *argv[])
{
 int n,ndat,on,ondat,xout,yout;
 double x[1024],y[1024],ox[512],oy[512],oxmin,oymin;
 FILE *fp;
 char buf[256],outfile[64];
 double radius;

 if(argc != 4){
   printf("Usage: offsettbl coodfile offsetfile prefix\n");
   exit(0);
 }

 if((fp = fopen(argv[1],"r")) == NULL){
   printf("Cannot open %s\n",argv[1]);
   exit(0);
 }

 n=0;
 while(!feof(fp)){
   if(fgets(buf,sizeof(buf),fp)==NULL) break;
   if(strncmp(buf,"#",1)==0) continue;
   sscanf(buf,"%lf %lf",&x[n],&y[n]);
   n++;
 }
 fclose(fp);
 ndat=n;

 if((fp = fopen(argv[2],"r")) == NULL){
   printf("Cannot open %s\n",argv[2]);
   exit(0);
 }

 on=0;
 while(!feof(fp)){
   if(fgets(buf,sizeof(buf),fp)==NULL) break;
   if(strncmp(buf,"#",1)==0) continue;
   sscanf(buf,"%lf %lf",&ox[on],&oy[on]);
   if(on==0){oxmin=ox[0];oymin=oy[0];}
   else {
     if(oxmin>ox[on]) oxmin=ox[on];
     if(oymin>oy[on]) oymin=oy[on];
   }
   on++;
 }
 fclose(fp);
 ondat=on;

 for(on=0;on<ondat;++on){
   sprintf(outfile,"%s.%03d.tbl",argv[3],on+1);
   if((fp = fopen(outfile,"w")) == NULL){
     printf("Cannot open %s\n",outfile);
     exit(0);
   }
   for(n=0;n<ndat;++n){
     xout=(int)(x[n]-ox[on]+oxmin+0.5);
     yout=(int)(y[n]-oy[on]+oymin+0.5);
     /*     if(xout>=1 && xout<=1024 && yout>=1 && yout<=1024) fprintf(fp,"%d  %d\n",xout,yout); */
     fprintf(fp,"%d  %d\n",xout,yout);
   }
   fclose(fp);
 }
}
