#FS
set NUM=01
gawk -v ns=140700 -v n=12 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 4 fs21kp_$NUM
./procstd2.csh data.tbl 4 fs21kp_$NUM
./procphot.csh data.tbl 4 fs21kp_$NUM
./procclean.csh

set NUM=02
gawk -v ns=141717 -v n=12 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 4 fs21kp_$NUM
./procstd2.csh data.tbl 4 fs21kp_$NUM
./procphot.csh data.tbl 4 fs21kp_$NUM
./procclean.csh

set NUM=01
gawk -v ns=140713 -v n=12 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 4 fs21j_$NUM
./procstd2.csh data.tbl 4 fs21j_$NUM
./procphot.csh data.tbl 4 fs21j_$NUM
./procclean.csh

set NUM=02
gawk -v ns=141730 -v n=12 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 4 fs21j_$NUM
./procstd2.csh data.tbl 4 fs21j_$NUM
./procphot.csh data.tbl 4 fs21j_$NUM
./procclean.csh

set NUM=01
gawk -v ns=142500 -v n=12 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 4 fs23kp_$NUM
./procstd2.csh data.tbl 4 fs23kp_$NUM
./procphot.csh data.tbl 4 fs23kp_$NUM
./procclean.csh

set NUM=01
gawk -v ns=142513 -v n=12 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 4 fs23j_$NUM
./procstd2.csh data.tbl 4 fs23j_$NUM
./procphot.csh data.tbl 4 fs23j_$NUM
./procclean.csh

set NUM=02
gawk -v ns=143328 -v n=12 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 4 fs23kp_$NUM
./procstd2.csh data.tbl 4 fs23kp_$NUM
./procphot.csh data.tbl 4 fs23kp_$NUM
./procclean.csh

set NUM=02
gawk -v ns=143341 -v n=12 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 4 fs23j_$NUM
./procstd2.csh data.tbl 4 fs23j_$NUM
./procphot.csh data.tbl 4 fs23j_$NUM
./procclean.csh

#According to WEB,
#Kp=26.3mag/e-/sec
#J =26.4mag/e-/sec
cat RESULTS/phot.fs21j_?? |grep -v "#"|  gawk '{if($1==1)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-12.976)}'
cat RESULTS/phot.fs23j_?? |grep -v "#"| gawk '{if($1==2)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-12.949)}'

cat RESULTS/phot.fs21kp_?? |grep -v "#"| gawk '{if($1==1)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-13.150)}'
cat RESULTS/phot.fs23kp_?? |grep -v "#"| gawk '{if($1==2)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-12.363)}'

#Fainter in J by 0.2-0.8mag
#Fainter in Kp by 0.5mag
#LAE Magnitude (1.1"aperture)
# J=107
# Kp<40
gawk 'BEGIN{print(107/60*3.5)}'| gawk '{m=26.4-log($1)/log(10)*2.5;print(m-0.4)}'
#J=24.0117
gawk 'BEGIN{print(40/60*3.5)}'| gawk '{m=26.3-log($1)/log(10)*2.5;print(m-0.5)}'
#Kp<24.8801

##### SDF-NIRA Kp
set NUM=01
gawk -v ns=140729 -v n=54 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 6 sdfakp_$NUM
./procstd2.csh data.tbl 6 sdfakp_$NUM
./procclean.csh

set NUM=02
gawk -v ns=140810 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=03
gawk -v ns=140921 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=04
gawk -v ns=141029 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=05
gawk -v ns=141139 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

#set NUM=06
#gawk -v ns=141506 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
#./procstd1.csh data.tbl 9 sdfakp_$NUM
#./procstd2.csh data.tbl 9 sdfakp_$NUM
#./procclean.csh

#2004/3/28
set NUM=07
gawk -v ns=141909 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=08
gawk -v ns=142017 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=09
gawk -v ns=142125 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=10
gawk -v ns=142233 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=11
gawk -v ns=142391 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

#2004/3/29
set NUM=12
gawk -v ns=142551 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=13
gawk -v ns=142706 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=14
gawk -v ns=142814 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=15
gawk -v ns=142922 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

set NUM=16
gawk -v ns=143236 -v n=90 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./procstd2.csh data.tbl 9 sdfakp_$NUM
./procclean.csh

\rm seeingkp.log
ls RESULTS/sdfakp_??.?.fits | gawk '{printf("del tmp.log\nimexam %s logfile=tmp.log keeplog+\n\!cat tmp.log>>seeingkp.log\n",$1)}' | cl
ls RESULTS/sdfakp_16.?.fits | gawk '{printf("del tmp.log\nimexam %s logfile=tmp.log keeplog+\n\!cat tmp.log>>seeingkp.log\n",$1)}' | cl
-----
#Coadd Selected frames
grep -v "z1=" seeingkp.log | grep -v "#"| gawk '{print($1,$2,$7,$9,$10,$14)}' > tmp.log
ls -l ./RESULTS/sdfakp_??.?.fits | gawk '{print($9)}' > filekp.log
paste filekp.log tmp.log > kp.log

#seeing<0.8"
!gawk '{if($7<7.5)print($1)}' kp.log > tmp.file
!gawk '{if($7<7.5)print(-$2,-$3)}' kp.log > tmp.pos

#1317/1462 frames
imdel sdfakp_0.8
imcombine @tmp.file sdfakp_0.8.fits reject=sigclip  combine=average outtype=real lsigma=2 hsigma=2 offset=tmp.pos
disp sdfakp_0.8.fits 1 fi+

imdel tmp.imh
gauss sdfakp_0.8.fits tmp.imh  1
disp tmp.imh 2

#seeing<0.6"
!gawk '{if($7<5.7)print($1)}' kp.log > tmp.file
!gawk '{if($7<5.7)print(-$2,-$3)}' kp.log > tmp.pos
#692/1462 frames
imdel sdfakp_0.6
imcombine @tmp.file sdfakp_0.6.fits reject=sigclip  combine=average outtype=real lsigma=2 hsigma=2 offset=tmp.pos
disp sdfakp_0.6.fits 1 fi+
imdel tmp.imh
gauss sdfakp_0.6.fits tmp.imh  1
disp tmp.imh 1


##### SDF-NIRA J
set NUM=01
gawk -v ns=141250 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh

set NUM=02
gawk -v ns=141286 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh

set NUM=03
gawk -v ns=141324 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh

set NUM=04
gawk -v ns=141360 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh

#2004/3/29
set NUM=05
gawk -v ns=141745 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh

set NUM=06
gawk -v ns=141781 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh


set NUM=07
gawk -v ns=141817 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh

#2004/3/29
set NUM=08
gawk -v ns=143055 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh

set NUM=09
gawk -v ns=143091 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh

set NUM=10
gawk -v ns=143127 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh

set NUM=11
gawk -v ns=143163 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh

set NUM=12
gawk -v ns=143199 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./procstd2.csh data.tbl 9 sdfaj_$NUM
./procclean.csh

\rm seeingj.log
ls RESULTS/sdfaj_??.?.fits | gawk '{printf("del tmp.log\nimexam %s logfile=tmp.log keeplog+\n\!cat tmp.log>>seeingj.log\n",$1)}' | cl
gawk ""
imexam @tmp.tbl
-----
#Coadd Selected frames
#grep -v "z1=" seeingj.log | grep -v "#"| gawk '{if(NF==4)printf("%s %s ",$1,$2);else print($3,$5,$6,$9)}' > tmp.log
grep -v "z1=" seeingj.log | grep -v "#"| gawk '{print($1,$2,$7,$9,$10,$14)}' > tmp.log
ls -l ./RESULTS/sdfaj_??.?.fits | gawk '{print($9)}' > filej.log
paste filej.log tmp.log > j.log
#paste filej.log tmp.log | grep -v "01.6" | grep -v "01.5" > j.log

#seeing<0.8"
!gawk '{if($7<7.5)print($1)}' j.log > tmp.file
!gawk '{if($7<7.5)print(-$2,-$3)}' j.log > tmp.pos

#308/432 frames
imdel sdfaj_0.8
imcombine @tmp.file sdfaj_0.8.fits reject=sigclip  combine=average outtype=real lsigma=2 hsigma=2 offset=tmp.pos
disp sdfaj_0.8.fits 1 fi+

imdel tmp.imh
gauss sdfaj_0.8.fits tmp.imh  1
disp tmp.imh 2

#seeing<0.6"
!gawk '{if($7<5.7)print($1)}' j.log > tmp.file
!gawk '{if($7<5.7)print(-$2,-$3)}' j.log > tmp.pos

#132/432 frames
imdel sdfaj_0.6
imcombine @tmp.file sdfaj_0.6.fits reject=sigclip  combine=average outtype=real lsigma=2 hsigma=2 offset=tmp.pos
disp sdfaj_0.6.fits 1 fi+

imdel tmp.imh
gauss sdfaj_0.6.fits tmp.imh  1
disp tmp.imh 2

----
#220, 450
imdel gsdfaj_0.8.fits
imshift tmp.imh gsdfaj_0.8.fits -4 -3

imdel tmp.imh
gauss sdfakp_0.8.fits tmp.imh  1
disp tmp.imh 2

imdel gsdfakp_0.8.fits
imshift tmp.imh gsdfakp_0.8.fits 10 15

del sdfakp.gif
export gsdfakp_0.8[431:820,161:560] sdfakp.gif gif outbands='setcmap(zscale(i1,-0.4,3.5),"heat")'
!xv  sdfakp.gif&
del sdfaj.gif
export gsdfaj_0.8[431:820,161:560]  sdfaj.gif  gif outbands='setcmap(zscale(i1,-0.5,3.5),"heat")'
!xv  sdfaj.gif

imcopy gsdfakp_0.8.fits[1:1050,1:1050] tmpr
imarith gsdfaj_0.8.fits[1:1050,1:1050] * 1.25 tmpb
imarith tmpr + tmpb tmpg
imarith tmpg / 2.0 tmpg

export tmpb,tmpg,tmpr sdfa.ras ras outbands="zscale(i1,-1,5),zscale(i2,-1,5),zscale(i3,-1,5)"
del sdfa.ras
export tmpr,tmpg,tmpb sdfa.ras ras outbands="zscale(i1,-10,35),zscale(i2,-10,35),zscale(i3,-10,35)"
!xv sdfa.ras