#FS
gawk -v ns=143532 -v n=81 'BEGIN{for(i=ns;i<ns+n;i++)printf("../data2/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 ohta
./procstd2.csh data.tbl 9 ohta
./procclean.csh

imexam RESULTS/ql.ohta.fits
imexam RESULTS/ohta.fits
imexam RESULTS/ohta.1.fits
imexam RESULTS/ohta.2.fits
imexam RESULTS/ohta.3.fits
imexam RESULTS/ohta.4.fits
imexam RESULTS/ohta.5.fits
imexam RESULTS/ohta.6.fits
imexam RESULTS/ohta.7.fits
imexam RESULTS/ohta.8.fits
imexam RESULTS/ohta.9.fits

cat <<EOF | gawk '{print(-$1,-$2)}' > tmp.off
 719.47  395.52 719.47 395.52
 766.46  444.75 766.46 444.75
 766.73  350.83 766.73 350.83
 669.71  400.39 669.71 400.39
 767.41  399.12 767.41 399.12
 671.85  447.97 671.85 447.97
 670.83  354.90 670.83 354.90
 718.04  450.60 718.04 450.60
 718.40  355.76 718.40 355.76
EOF

!ls RESULTS/ohta.?.fits > tmp.log
imcombine @tmp.log tmp combine=average reject=sigclip offsets=tmp.off

!ls sky2.00?.imh> tmp1 
!sed 's/sky/ssky/g' tmp1 > tmp2
imarith @tmp1 - sky2 @tmp2 

!ls mldata/OHSA0014354[1-9].imh > test2.log
imdel tmp2
imcombine @test2.log tmp2 offsets=test.log reject=sigclip 
imdel tmp2
imcombine @test2.log tmp2 offsets=test.log reject=sigclip combine=average outtype=real lsigma=3 hsigma=3

--
coorect
    RESULTS/ohta.1.fits   46   55
    RESULTS/ohta.2.fits    0    1
    RESULTS/ohta.3.fits    0  100
    RESULTS/ohta.4.fits   97   51
    RESULTS/ohta.5.fits    0   52
    RESULTS/ohta.6.fits   95    3
    RESULTS/ohta.7.fits   96   96
    RESULTS/ohta.8.fits   49    0
    RESULTS/ohta.9.fits   49   95

-> Modified procstd2.csh ohtamod.fits
    RESULTS/ohta.1.fits   50   58
    RESULTS/ohta.2.fits    2   10
    RESULTS/ohta.3.fits    0  102
    RESULTS/ohta.4.fits   98   50
    RESULTS/ohta.5.fits    0   52
    RESULTS/ohta.6.fits   98    0
    RESULTS/ohta.7.fits   97   96
    RESULTS/ohta.8.fits   47    2
    RESULTS/ohta.9.fits   50   97

-> original procstd2
    RESULTS/ohta.1.fits   47   55
    RESULTS/ohta.2.fits    0    4
    RESULTS/ohta.3.fits    3   99
    RESULTS/ohta.4.fits   98   52
    RESULTS/ohta.5.fits    0   54
    RESULTS/ohta.6.fits   95    7
    RESULTS/ohta.7.fits   97   98
    RESULTS/ohta.8.fits   54    0
    RESULTS/ohta.9.fits   49   95

-> fixed matchpat






imexam mldata/OHSA00143581
imexam mldata/OHSA00143580
imexam mldata/OHSA00143579
imexam mldata/OHSA00143578
imexam mldata/OHSA00143577
imexam mldata/OHSA00143576
imexam mldata/OHSA00143575
imexam mldata/OHSA00143574
imexam mldata/OHSA00143573

!gawk -v ns=143604 -v n=9 'BEGIN{for(i=ns;i<ns+n;i++)printf("mldata/OHSA%08d\n",i)}' > tmp.tbl 
imdel test1
imcombine @tmp.tbl test1 reject=sigclip
disp test1
disp RESULTS/ohta.9.fits


